#ifndef _DETAILFERMENTER_H
#define _DETAILFERMENTER_H

#include <QDialog>
#include <QDoubleSpinBox>
#include <QCheckBox>
#include <QComboBox>
#include <QRadioButton>
#include <QLineEdit>
#include <QDialogButtonBox>


namespace Ui {
class DetailFermenter;
}

class DetailFermenter : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit DetailFermenter(int id, QWidget *parent = 0);
    ~DetailFermenter();

private slots:
    void on_quitButton_clicked();
    void refreshTable(void);
    void lo_changed(double val);
    void hi_changed(double val);
    void heat_switched();
    void cool_switched();
    void fan_switched();
    void mode_changed(int val);

public slots:
    void refreshFermenter(QString);

private:
    Ui::DetailFermenter *ui;
    QString _node, _alias;
    int recno;
    bool heat_state = false;
    bool cool_state = false;
    bool fan_state = false;
};

#endif
